Name:           archaius
Version:        0.7.3
Release:        6%{?dist}
Summary:        Library for configuration management API 
License:        ASL 2.0
URL:            https://github.com/Netflix/archaius/wiki
Source0:        https://github.com/Netflix/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         archaius.build.gradle.patch
Patch1:         archaius.disable.utf8.tests.patch
BuildArch:      noarch

BuildRequires:  gradle-local
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(commons-configuration:commons-configuration)
BuildRequires:  mvn(org.slf4j:slf4j-api)

BuildRequires:  mvn(org.apache.zookeeper:zookeeper)
BuildRequires:  mvn(org.apache.curator:curator-client)
BuildRequires:  mvn(org.apache.curator:curator-recipes)

# For unit tests
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)
BuildRequires:  mvn(org.apache.derby:derby)
BuildRequires:  mvn(org.apache.curator:curator-test)

%description
Archaius is a configuration management library with a focus on Dynamic
Properties sourced from multiple configuration stores.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.

%package core
Summary: Core library of %{name}

Requires:  mvn(com.fasterxml.jackson.core:jackson-annotations)
Requires:  mvn(com.fasterxml.jackson.core:jackson-core)
Requires:  mvn(com.fasterxml.jackson.core:jackson-databind)
Requires:  mvn(com.google.code.findbugs:jsr305)
Requires:  mvn(com.google.guava:guava)
Requires:  mvn(commons-configuration:commons-configuration)
Requires:  mvn(org.slf4j:slf4j-api)

%package zookeeper
Summary: ZooKeeper connection library for %{name}

Requires:  mvn(com.netflix.archaius:archaius-core)
Requires:  mvn(org.apache.zookeeper:zookeeper)
Requires:  mvn(org.apache.curator:curator-client)
Requires:  mvn(org.apache.curator:curator-recipes)

%description core
Core library of %{name}. This package provides the functionality to use system
properties, property files and JMX as configuration source.

%description zookeeper
ZooKeeper connection library for %{name}. This package provides the
functionality to use ZooKeeper as configuration source.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

find . -name '*.jar' ! -name 'classpathTestResources.jar' -delete
find . -name '*.class' -delete

%build core
gradle -s --offline archaius-core:build
gradle -s --offline archaius-zookeeper:build

javadoc -d javadoc -sourcepath archaius-core/src/main/java:archaius-zookeeper/src/main/java -subpackages com.netflix.config -Xdoclint:none

%mvn_artifact com.netflix.archaius:archaius-core:%{version} archaius-core/build/libs/archaius-core.jar
%mvn_artifact com.netflix.archaius:archaius-zookeeper:%{version} archaius-zookeeper/build/libs/archaius-zookeeper.jar

%mvn_package ":archaius-core" core
%mvn_package ":archaius-zookeeper" zookeeper

%install
%mvn_install -J javadoc

%files core -f .mfiles-core
%doc README.md
%license LICENSE

%files zookeeper -f .mfiles-zookeeper
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%doc README.md
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 03 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.3-3
- Remove empty CHANGELOG.md file

* Thu Dec 03 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.3-2
- Set correct runtime dependencies for subpackages

* Thu Dec 03 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.3-1
- Use latest upstream
- Merge parent into subpackages
- Make sure no jar and class files are there

* Wed Dec 02 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.1-3
- Add archaius-zookeeper package

* Wed Dec 02 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.1-2
- Enable unit tests and generate javadoc

* Wed Nov 04 2015 Roman Mohr <roman@fenkhuber.at> - 0.7.1-1
- Initial packaging
